{
  "scripts": {
    "examples": "docusaurus-examples",
    "start": "docusaurus-start",
    "build": "docusaurus-build",
    "publish-gh-pages": "docusaurus-publish",
    "write-translations": "docusaurus-write-translations",
    "version": "docusaurus-version",
    "rename-version": "docusaurus-rename-version",
    "markdownlint": "markdownlint ../docs/ ./versioned_docs/",
    "textlint": "textlint ../docs/** ./versioned_docs/**",
    "textlint-no-dead-link-next-release": "textlint --config .textlint-config-no-dead-link.json ../docs/**",
    "textlint-no-dead-link-3.0.x": "textlint --config .textlint-config-no-dead-link.json ./versioned_docs/version-3.0.x/**",
    "textlint-no-dead-link-3.1.x": "textlint --config .textlint-config-no-dead-link.json ./versioned_docs/version-3.1.x/**",
    "textlint-no-dead-link-3.2.x": "textlint --config .textlint-config-no-dead-link.json ./versioned_docs/version-3.2.x/**",
    "textlint-no-dead-link-3.3.x": "textlint --config .textlint-config-no-dead-link.json ./versioned_docs/version-3.3.x/**",
    "textlint-no-dead-link-3.4.x": "textlint --config .textlint-config-no-dead-link.json ./versioned_docs/version-3.4.x/**",
    "textlint-no-dead-link-3.5.x": "textlint --config .textlint-config-no-dead-link.json ./versioned_docs/version-3.5.x/**",
    "textlint-no-dead-link-all": "textlint --config .textlint-config-no-dead-link.json ../docs/** ./versioned_docs/**",
    "textlint-no-dead-link": "yarn textlint-no-dead-link-next-release && yarn textlint-no-dead-link-3.0.x && yarn textlint-no-dead-link-3.1.x && yarn textlint-no-dead-link-3.2.x && yarn textlint-no-dead-link-3.3.x && yarn textlint-no-dead-link-3.4.x  && yarn textlint-no-dead-link-3.5.x",
    "textlintWriteGood": "textlint --config .textlint-config-write-good.json ../docs/** ./versioned_docs/**",
    "textlintWithAutofix": "textlint --fix ../docs/** ./versioned_docs/**",
    "mdspell": "mdspell --report --en-us --ignore-acronyms ../docs/**/*.md ./versioned_docs/**/*.md",
    "lint": "yarn markdownlint && yarn textlint && yarn textlintWriteGood && yarn run mdspell",
    "clean": "rm -rf build",
    "startDevServer": "yarn start",
    "test": "yarn markdownlint && yarn textlint && yarn textlint-no-dead-link"
  },
  "devDependencies": {
    "@textlint-rule/textlint-rule-no-invalid-control-character": "^1.2.0",
    "@textlint-rule/textlint-rule-no-unmatched-pair": "^1.0.7",
    "docusaurus": "^1.8.0",
    "markdown-spellcheck": "^1.3.1",
    "markdownlint-cli": "^0.15.0",
    "textlint": "^11.2.5",
    "textlint-rule-apostrophe": "^1.0.0",
    "textlint-rule-common-misspellings": "^1.0.1",
    "textlint-rule-en-capitalization": "^2.0.2",
    "textlint-rule-en-max-word-count": "^1.0.1",
    "textlint-rule-max-comma": "^1.0.4",
    "textlint-rule-max-number-of-lines": "^1.0.3",
    "textlint-rule-no-dead-link": "^4.6.1",
    "textlint-rule-no-empty-section": "^1.1.0",
    "textlint-rule-no-exclamation-question-mark": "^1.0.2",
    "textlint-rule-no-start-duplicated-conjunction": "^2.0.2",
    "textlint-rule-no-todo": "^2.0.1",
    "textlint-rule-period-in-list-item": "^0.3.0",
    "textlint-rule-unexpanded-acronym": "^1.2.3",
    "textlint-rule-write-good": "^1.6.2"
  }
}
